#include "cpuinfo_bpo.h"

#include "charactor.h"

void CpuInfoBpo::getBulletsPosAndSpd(PosSpd& posspd) {
	typedef std::vector<Charactor::HaveSpeed*> Bullets;
	const Bullets& bullets = game_->getBullets();
	for (Bullets::const_iterator ite = bullets.begin();
		 ite != bullets.end(); ++ite)
	{
		Charactor::HaveSpeed* bullet = *ite;
		posspd.push_back(std::make_pair(
							 Point(bullet->x(), bullet->y()),
							 Point(bullet->sx() * 62, bullet->sy() * 62)));
	}
}

